<?php

class TestWorkflowType extends eZWorkflowEventType
{
    const WORKFLOW_TYPE_STRING = "testworkflow";

    public function __construct()
    {
        parent::__construct( TestWorkflowType::WORKFLOW_TYPE_STRING, 'Test custom workflow' );
    }

    public function execute( $process, $event )
    {
        $parameters = $process->attribute( 'parameter_list' );
        
        /*  YOUR CODE GOES HERE */
        eZDebug::writeError("Testing issue #013117: Workflow event deferred to cron");

        // return eZWorkflowType::STATUS_ACCEPTED;
        return eZWorkflowType::STATUS_DEFERRED_TO_CRON_REPEAT;
    }
}

eZWorkflowEventType::registerEventType( TestWorkflowType::WORKFLOW_TYPE_STRING, 'testworkflowtype' );

?>
